@font-face {
	font-family	: 'slip';
	src			: url('/assets/fonts/RobotoMono-Regular.ttf');
	font-weight	: normal;
	font-style	: normal;
}

@media screen, print {
	* {
		box-sizing: border-box;
	}

	div, p, span {
		margin-block-start	: 0 !important;
		margin-block-end	: 0 !important;
		margin-inline-start	: 0 !important;
		margin-inline-end	: 0 !important;
		margin				: 0;
		padding				: 0;
	}

	html > body,
	html > body > div {
		margin-block-start	: 0 !important;
		margin-block-end	: 0 !important;
		margin-inline-start	: 0 !important;
		margin-inline-end	: 0 !important;
		margin				: 0;
		padding				: 0;
		color				: black;
		background-color	: transparent;
		border				: solid 0px transparent;
		font-family			: slip;
		text-overflow		: ellipsis;
		font-stretch		: ultra-condensed;
		text-decoration		: none;
		text-transform		: uppercase;
		width				: 100%;
		height				: auto;
		overflow			: visible;
		clear				: both;
	}

	html > body > div,
	html > body > div > p {
		white-space			: nowrap;
		text-align			: left;
	}

	html > body > div[head] > p[kiosk] {
		font-size			: 18px;
		text-align			: center;
	}

	html > body > div[head] > p[uuid] {
		font-size			: 12px;
		display				: none;
	}

	html > body > div[head] > p[number] {
		font-size			: 18px;
	}

	html > body > div[head] > p[date] {
		font-size			: 18px;
	}

	html > body > div[head] > p[barcode] {
		font-size			: 16px;
		display				: none;
	}

	html > body > div[table] > p[product] {
		width				: 100%;
		font-size			: 13px;
		white-space			: normal;
	}

	html > body > div[table] > p[product] > span[n] {
		font-weight			: bold;
	}

	html > body > div[table] > p[product] > span[q] {
		font-weight			: bold;
	}

	html > body > div[table] > p[product] > span[psum] {
		float				: right;
		width				: auto;
		font-weight			: bold;
	}

	html > body > div[table] > p[product] > span[psum] > b[q] {
		font-weight			: bold;
		text-transform		: lowercase;
	}

	html > body > div[footer] > p[totals] {
		font-size			: 18px;
	}

	html > body > div[footer] > p[totals] > span[txt] {
		width				: auto;
		font-size			: 28px;
	}

	html > body > div[footer] > p[totals] > span[sum] {
		position			: absolute;
		right				: 0px;
		width				: auto;
		font-weight			: bold;
		font-size			: 28px;
	}

	html > body > div[tail] > div[barcode] {
		text-align			: center;
	}
}

@media print {
	@page {
		/* https://developer.mozilla.org/en-US/docs/Web/CSS/@page/size */
		size				: auto;

		padding-top			: 0mm;
		padding-bottom		: 0mm;
		padding-left		: 0mm;
		padding-right		: 0mm;

		margin-top			: 0mm;
		margin-bottom		: 0mm;

		/* this settings for CITIZEN CT-S2000 Receipt 80mm */
		margin-left			: 4mm;
		margin-right		: 4mm;
	}
}
